// 总览广告数据类型
interface overviewAdvertisingData {
  title: string
  value: number
  rate: number
}

// 下拉框选项基础类型
interface FilterSelect {
  label: string
  value: any
}

// 媒体下拉框选项类型
interface MediaSelect extends FilterSelect {
  value: string
}

// 日期下拉框选项类型
interface DateSelect extends FilterSelect {
  value: Date
}

// 自定义指标下拉框选项类型
interface CustomIndicatorSelect extends FilterSelect {
  value: string
}

export type {
  overviewAdvertisingData,
  FilterSelect,
  MediaSelect,
  DateSelect,
  CustomIndicatorSelect,
}
